# Interface ISpacingProperties

interface ISpacingProperties {
after?: number;
afterAutoSpacing?: boolean;
before?: number;
beforeAutoSpacing?: boolean;
line?: number;
lineRule?: "auto" | "atLeast" | "exact" | "exactly";
}

- Defined in file/paragraph/formatting/spacing.ts:12

#####
Index

### Properties

after?
afterAutoSpacing?
before?
beforeAutoSpacing?
line?
lineRule?

## Properties

### `Optional` `Readonly` after

after?: number

- Defined in file/paragraph/formatting/spacing.ts:13

### `Optional` `Readonly` afterAutoSpacing

afterAutoSpacing?: boolean

- Defined in file/paragraph/formatting/spacing.ts:18

### `Optional` `Readonly` before

before?: number

- Defined in file/paragraph/formatting/spacing.ts:14

### `Optional` `Readonly` beforeAutoSpacing

beforeAutoSpacing?: boolean

- Defined in file/paragraph/formatting/spacing.ts:17

### `Optional` `Readonly` line

line?: number

- Defined in file/paragraph/formatting/spacing.ts:15

### `Optional` `Readonly` lineRule

lineRule?: "auto" | "atLeast" | "exact" | "exactly"

- Defined in file/paragraph/formatting/spacing.ts:16

Generated using TypeDoc